Groovy 1.7.0

## org.codehaus.groovy.runtime.metaclass
Class MetaMethodIndex

    java.lang.Object
      org.codehaus.groovy.runtime.metaclass.MetaMethodIndex

    class MetaMethodIndex
    extends Object

Nested Class Summary
`class` | `MetaMethodIndex.CacheEntry`
`class` | `MetaMethodIndex.Entry`
`interface` | `MetaMethodIndex.EntryIterator`
`class` | `MetaMethodIndex.Header`

Field Summary
`protected static int` | `DEFAULT_CAPACITY`
`protected static int` | `MAXIMUM_CAPACITY`
`protected static int` | `MINIMUM_CAPACITY`
`SingleKeyHashMap` | `methodHeaders`
`protected int` | `size`
`protected Entry[]` | `table`
`protected int` | `threshold`

Constructor Summary
`MetaMethodIndex()`

Method Summary
`def` | `MetaMethodIndex(CachedClass theCachedClass)`
`Object` | `addMethodToList(Object o, MetaMethod method)`
`void` | `clear()`
`void` | `clearCaches()`
`void` | `clearCaches(String name)`
`void` | `copy(Class c, Header index)`
`void` | `copy(Header from, Header to)`
`void` | `copyAllMethodsToSuper(Header from, Header to)`
`void` | `copyMethodsToSuper()`
`void` | `copyNonPrivateMethods(Class from, Class to)`
`void` | `copyNonPrivateMethods(Header from, Header to)`
`void` | `copyNonPrivateMethodsDown(Class from, Class to)`
`void` | `copyNonPrivateMethodsFromSuper(Header from)`
`void` | `copyNonPrivateNonNewMetaMethods(Header from, Header to)`
`EntryIterator` | `getEntrySetIterator()`
`Header` | `getHeader(Class cls)`
`Entry` | `getMethods(Class cls, String name)`
`Entry` | `getOrPutMethods(String name, Header header)`
`Entry[]` | `getTable()`
`static int` | `hash(int h)`
`void` | `init(int initCapacity)`
`boolean` | `isEmpty()`
`void` | `resize(int newLength)`
`int` | `size()`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### DEFAULT_CAPACITY

    protected static final int DEFAULT_CAPACITY

### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY

### MINIMUM_CAPACITY

    protected static final int MINIMUM_CAPACITY

### methodHeaders

    SingleKeyHashMap methodHeaders

### size

    protected int size

### table

    protected Entry[] table

### threshold

    protected int threshold

Constructor Detail

### MetaMethodIndex

    MetaMethodIndex()

Method Detail

### MetaMethodIndex

    public def MetaMethodIndex(CachedClass theCachedClass)

### addMethodToList

    public Object addMethodToList(Object o, MetaMethod method)

### clear

    public void clear()

### clearCaches

    public void clearCaches()

### clearCaches

    public void clearCaches(String name)

### copy

    public void copy(Class c, Header index)

### copy

    public void copy(Header from, Header to)

### copyAllMethodsToSuper

    public void copyAllMethodsToSuper(Header from, Header to)

### copyMethodsToSuper

    public void copyMethodsToSuper()

### copyNonPrivateMethods

    public void copyNonPrivateMethods(Class from, Class to)

### copyNonPrivateMethods

    public void copyNonPrivateMethods(Header from, Header to)

### copyNonPrivateMethodsDown

    public void copyNonPrivateMethodsDown(Class from, Class to)

### copyNonPrivateMethodsFromSuper

    public void copyNonPrivateMethodsFromSuper(Header from)

### copyNonPrivateNonNewMetaMethods

    public void copyNonPrivateNonNewMetaMethods(Header from, Header to)

### getEntrySetIterator

    public EntryIterator getEntrySetIterator()

### getHeader

    public Header getHeader(Class cls)

### getMethods

    public final Entry getMethods(Class cls, String name)

### getOrPutMethods

    public Entry getOrPutMethods(String name, Header header)

### getTable

    public Entry[] getTable()

### hash

    public static int hash(int h)

### init

    public void init(int initCapacity)

### isEmpty

    public boolean isEmpty()

### resize

    public void resize(int newLength)

### size

    public int size()

Copyright © 2003-2009 The Codehaus. All rights reserved.